<?xml version="1.0" encoding="utf-8" ?>
<ThingDefs>

	<ThingDef Name="ImplantBase" Abstract="True">
		<label>implant</label>
		<thingClass>ThingWithComps</thingClass>
		<category>Item</category>
		<useHitPoints>true</useHitPoints>
		<selectable>true</selectable>
		<statBases>
			<MaxHitPoints>50</MaxHitPoints>
			<Flammability>1.0</Flammability>
			<DeteriorationRate>2.0</DeteriorationRate>
			<Beauty>-4</Beauty>
		</statBases>
		<altitudeLayer>Item</altitudeLayer>
		<tickerType>Never</tickerType>
		<alwaysHaulable>true</alwaysHaulable>
		<isBodyPartOrImplant>true</isBodyPartOrImplant>
		<tradeTags>
			<li>BodyPartOrImplant</li>
		</tradeTags>
		<comps>
			<li Class="CompProperties_Forbiddable"/>
		</comps>
		<thingCategories>
			<li>BodyPartsArtificial</li>
		</thingCategories>
		<pathCost>10</pathCost>
	</ThingDef>
	
	<ThingDef ParentName="ImplantBase">
		<defName>TiberiumInfusion</defName>
		<label>Tiberium Infusion</label>
		<description>This liquid causes a controlled spread of Tiberium in the consumer's body. Making them immune to the deadly substance.</description>
		<graphicData>
			<texPath>things/items/Equipment/Nod/Implants/Tibinfusion</texPath>
			<graphicClass>Graphic_Single</graphicClass>
		</graphicData>
		<statBases>
			<MarketValue>1500</MarketValue>
			<Mass>0.3</Mass>
		</statBases>
		<techHediffsTags>
			<li>TiberiumInfusion</li>
		</techHediffsTags>
	</ThingDef>
	
</ThingDefs>